Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2049694 - Review Request: ghc-ilist - Optimised list functions for doing index-related things
Summary: Review Request: ghc-ilist - Optimised list functions for doing index-related ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2031307 2031315 2045696 2066718
TreeView+ depends on / blocked
 
Reported: 2022-02-02 14:52 UTC by Mohamed El Morabity
Modified: 2022-06-04 01:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-03 03:34:08 UTC
Type: ---
Embargoed:
petersen: fedora-review+


Attachments (Terms of Use)

Description Mohamed El Morabity 2022-02-02 14:52:57 UTC
Spec URL: hhttps://melmorabity.fedorapeople.org/packages/ghc-ilist/ghc-ilist.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/ghc-ilist/ghc-ilist-0.4.0.1-1.fc36.src.rpm
Description:
Optimised list functions for doing index-related things. They're faster than
common idioms in all cases, they avoid space leaks, and sometimes they fuse
better as well.
Fedora Account System Username: melmorabity

Comment 2 Jens Petersen 2022-03-23 10:02:30 UTC
Package is APPROVED

Please be sure to bump the Release field number over the current hadolint ghc-ilist subpackage in Fedora Rawhide when importing.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Mozilla Public License
     2.0", "Mozilla Public License 2.0". 5 files have unknown license.
     Detailed output of licensecheck in /home/petersen/2049694-ghc-
     ilist/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
ghc-ilist-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ghc-8.10.5/ilist-0.4.0.1/libHSilist-0.4.0.1-Jp0xCruIEnKGFvMbGXmDC6.a
ghc-ilist-prof.x86_64: E: static-library-without-debuginfo /usr/lib64/ghc-8.10.5/ilist-0.4.0.1/libHSilist-0.4.0.1-Jp0xCruIEnKGFvMbGXmDC6_p.a
ghc-ilist.x86_64: W: no-documentation
ghc-ilist-prof.x86_64: W: no-documentation
ghc-ilist-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-8.10.5/ilist-0.4.0.1/libHSilist-0.4.0.1-Jp0xCruIEnKGFvMbGXmDC6_p.a
 5 packages and 0 specfiles checked; 2 errors, 3 warnings, 2 badness; has taken 0.4 s 


Rpmlint (installed packages)
----------------------------
omitted


Unversioned so-files
--------------------
ghc-ilist: /usr/lib64/libHSilist-0.4.0.1-Jp0xCruIEnKGFvMbGXmDC6-ghc8.10.5.so

Source checksums
----------------
https://hackage.haskell.org/package/ilist-0.4.0.1/ilist.cabal#/ilist-0.4.0.1.cabal :
  CHECKSUM(SHA256) this package     : 5947f12a9354512149f7a5610769a6c8cebdb8d241a45b508edb70b371460747
  CHECKSUM(SHA256) upstream package : 5947f12a9354512149f7a5610769a6c8cebdb8d241a45b508edb70b371460747
https://hackage.haskell.org/package/ilist-0.4.0.1/ilist-0.4.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 0448857296974317ee162551ef3e2f31c434e114df6d17d7f6acd3476c52dc04
  CHECKSUM(SHA256) upstream package : 0448857296974317ee162551ef3e2f31c434e114df6d17d7f6acd3476c52dc04


Requires
--------
ghc-ilist (rpmlib, GLIBC filtered):
    libHSbase-4.14.2.0-ghc8.10.5.so()(64bit)
    libHSghc-prim-0.6.1-ghc8.10.5.so()(64bit)
    libHSinteger-gmp-1.0.3.0-ghc8.10.5.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

ghc-ilist-devel (rpmlib, GLIBC filtered):
    ghc-compiler
    ghc-devel(base-4.14.2.0)
    ghc-ilist(x86-64)



Provides
--------
ghc-ilist:
    ghc-ilist
    ghc-ilist(x86-64)
    libHSilist-0.4.0.1-Jp0xCruIEnKGFvMbGXmDC6-ghc8.10.5.so()(64bit)

ghc-ilist-devel:
    ghc-devel(ilist-0.4.0.1-Jp0xCruIEnKGFvMbGXmDC6)
    ghc-ilist-devel
    ghc-ilist-devel(x86-64)
    ghc-ilist-static
    ghc-ilist-static(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2049694
Buildroot used: fedora-rawhide-x86_64
Active plugins: Haskell, Generic, C/C++, Shell-api
Disabled plugins: Perl, fonts, Java, PHP, SugarActivity, R, Python, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Gwyn Ciesla 2022-03-24 13:33:48 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-ilist

Comment 4 Fedora Update System 2022-05-26 09:26:10 UTC
FEDORA-2022-0cea910941 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0cea910941

Comment 5 Fedora Update System 2022-05-26 09:26:11 UTC
FEDORA-2022-2e058cdd18 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-2e058cdd18

Comment 6 Fedora Update System 2022-05-27 01:40:57 UTC
FEDORA-2022-0cea910941 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-0cea910941 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0cea910941

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-05-27 02:16:20 UTC
FEDORA-2022-2e058cdd18 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-2e058cdd18 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-2e058cdd18

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Jens Petersen 2022-05-31 09:40:11 UTC
Sorry, but the builds are a bit of mess now:
you bumped f35 to -4 but not f36+.

The idea was you could bump ghc-ilist's release over the release 4 of hadolint in Rawhide.
ie the ilist release needs to be 5, so that it corresponds to the next hadolint release.
Hence anyone who already has ghc-ilist -4 installed, will be updated to -5.

Also you could be using git merge between branches (not importing separately into each branch).

Comment 9 Fedora Update System 2022-06-03 03:34:08 UTC
FEDORA-2022-0cea910941 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-06-04 01:16:00 UTC
FEDORA-2022-2e058cdd18 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.